## openexr 1.6.1

=== debian/changelog ===
openexr (1.6.1-7ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Update for recent autoconf/autoheader.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2013 15:23:25 +0100

openexr (1.6.1-7) unstable; urgency=low

  * Convert to multi-arch.
    + Use debhelper v9 compat, bump build-dep. Drop unneeded invocation of
      dpkg-buildflags.
    + Update *.install.
    + Add Pre-Depends: ${misc:Pre-Depends}.
    + Runtime library is Multi-Arch: same, cmd-line utils Multi-Arch: foreign.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Dec 2012 14:23:33 +0100

openexr (1.6.1-6) unstable; urgency=low

  * nonlinuxlargestack.diff Fix FTBFS when large stacks are disabled.
    Bug-report, diagnosis and patch by Pino Toscano. Closes: #680509

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Jul 2012 08:58:08 +0200

openexr (1.6.1-5) unstable; urgency=low

  * Update package short description, openexr does not contain a viewer.
    Closes: #471783
  * Use 3.0 (quilt) source format.
  * Re-enable doc-base support. At least dhelp works without problems.
  * Use dh $@ --with autotools_dev. Version autotools-dev b-d.
  * The latter three changes add support for build-arch target, fixing FTBFS.
    Closes: #666297
  * Change override_dh_auto_test target to invoke dh_auto_test, otherwise the
    testsuite is run twice. (Once for build and binary).
  * Add myself to uploaders, remove Cyril. (Thanks for you work!)
  * Empty dependency_libs in libtool la file.
  * Fix doc-base ids. (lowercase, no underscore.)
  * Drop Section: graphics from binary package stanza in debian/control.
  * Fix typo mutiple in exrmaketiled.1.
  * Use 'dpkg-buildflags --export=configure' to get hardening-flags. (Thanks,
    Moritz Muehlenhoff). Add required b-d on dpkg-dev (>= 1.16.1). 
    Closes: #656506

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Apr 2012 08:45:13 +0200

openexr (1.6.1-4.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2009-1720: Integer overflows in Imf::PreviewImage::PreviewImage
    and integer overflows in compressor constructors
  * Fixed CVE-2009-1721: uninitialized pointers in Imf::hufUncompress
  * Patch stolen from stable-security, thanks to Cyril Brulebois
    (Closes: #550424)

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 21 Oct 2009 23:54:35 +0200

openexr (1.6.1-4) unstable; urgency=low

  * Adopt the package within pkg-phototools (Closes: #494877):
     - Thanks to Adeodato Simó et al. for having taken care of it until
       now!
     - Set Maintainer to the group.
     - Set Uploaders to myself.
     - Update Vcs-{Git,Browser}.
     - Remove XS-X-Collab-Maint field, no longer relevant. Patches are
       still welcome, though!
  * Switch to debhelper 7:
     - Bump debian/compat to 7.
     - Version the B-D on debhelper: >= 7.0.50 to allow the use of
       overrides.
     - Specify some overrides to tweak as needed for the build:
        - dh_auto_configure: pass the --with-openexr flag to configure
          script.
        - dh_auto_test: don't run “check” on arm and ia64 for now, and
          bypass dh_auto_test due to bad target detection.
        - dh_compress: no longer compress .h/.cpp examples.
        - dh_link: needed since libopenexr-dev's and openexr's /us/s/d
          directories are symlinks to libopenexr6's one.
        - dh_makeshlibs: keep on using -V.
        - dh_installdeb: add a call to dh_buildinfo to keep on storing the
          versions of packages installed during the build.
     - Specify some targets:
        - build and clean to handle patching/unpatching and
          updating/cleaning config.{guess,sub}.
  * Now compress PDF documentation. Any sane PDF viewer should be able to
    handle decompression.
  * Remove .gitignore file.
  * Add ${misc:Depends} to all binaries.
  * Bump Standards-Version from 3.7.3 to 3.8.1 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 11 Apr 2009 22:00:04 +0200

openexr (1.6.1-3) unstable; urgency=medium

  * Disable (hopefully temporarily) the test suite on arm and ia64.

 -- Adeodato Simó <dato@net.com.org.es>  Mon, 24 Mar 2008 23:00:21 +0100

openexr (1.6.1-2) unstable; urgency=low

  * Upload to unstable.

  * Fix FTBFS with gcc 4.3, thanks Cyril Brulebois for the patch (closes:
    #441573). Add quilt to Build-Depends.

  * Update Standards-Version to 3.7.3 (no changes needed).

  * Swap Maintainer and Uploaders in debian/control.

  * Move packaging to a git repository under collab-maint. Add a
    X-Collab-Maint header.

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 16 Mar 2008 15:16:05 +0100

openexr (1.6.1-1) experimental; urgency=low

  * New upstream release. (Closes: #405783, #437494)
    + New soname: rename package to libopenexr6, and drop old conflicts and
      replaces.
    + Build-depend on libilmbase-dev (Imath, Half et al. are now there). Make
      libopenexr-dev depend on it as well, and drop bits from description that
      allude to these other libraries.

  * The exrdisplay binary is no longer shipped by upstream in the openexr
    tarball (it has moved to openexr_viewers): do not install it, nor its
    manpage, drop build-dependencies on libfltk1.1-dev and OpenGL stuff, and
    README.Debian as well, since they all were only needed for this program.

  * Adding myself as an uploader; add VCS-Bzr header.

  * Do some housekeeping:
    + update debian/watch.
    + bump debian/compat to 5.
    + use ${binary:Version} instead of ${Source-Version}.
    + bump Standards-Version to 3.7.2 (no changes needed).
    + use a Homepage header, instead of the pseudo-header.

  * Run tests after building.

  * Drop all patches, unnecessary.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 02 Nov 2007 22:20:53 +0100

openexr (1.2.2-4.4) unstable; urgency=low

  * Non-maintainer upload.
  * Rename libopenexr2c2a to libopenexr2ldbl for the long double transition.
    (Closes: #430286)


