=== debian/watch ===
version=3
http://savannah.nongnu.org/download/openexr/openexr-([0-9].*).tar.gz
