## openexr 1.6.1-4maemo1

=== debian/changelog ===
openexr (1.6.1-4maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 1 May 2010 17:47:13 +0200

openexr (1.6.1-3ubuntu1) intrepid; urgency=low

  * Disabled test suite on HPPA to resolve FTBFS
    - Test suite disabled due to threading failures
      due to NPTL on HPPA. Can be re-enabled after 
      NPTL in glibc is more stable

 -- Michael Casadevall <sonicmctails@gmail.com>  Sat, 11 Oct 2008 01:54:37 -0400
