## openexr 2.1.0

=== debian/changelog ===
openexr (2.1.0-0irie1~precise1) precise; urgency=low

  * New upstream release
  * Bump so version from 6 to 21
  * Remove all existing patches, issues have been fixed upstream:
    - fix_gcc4.3_ftbfs.diff (da1443aaa2fd)
    - CVE-2009-1720-1.diff, CVE-2009-1720-2.diff (e08946ade358)
    - CVE-2009-1721.diff (9a52b2ea2e63)
    - nonlinuxlargestack.diff (7252c296f2b9)
  * debian/rules:
    - Don't run the testsuite for i386 architecture, see:
      https://github.com/openexr/openexr/issues/67#issuecomment-21169748
  * debian/copyright:
    - Use dep5 format
  * Add lintian overrides file

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Tue, 31 Dec 2013 14:55:25 +0900
