=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: autotools-dev, debhelper (>= 7.0.50), dh-buildinfo, quilt, libilmbase-dev, zlib1g-dev
-Standards-Version: 3.8.1
+Maintainer: IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
+Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
+ dh-buildinfo, libilmbase-dev, zlib1g-dev, dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.3
 Homepage: http://www.openexr.com
-Vcs-Git: git://git.debian.org/git/pkg-phototools/openexr.git
-Vcs-Browser: http://git.debian.org/?p=pkg-phototools/openexr.git
 
 Package: openexr
-Section: graphics
 Architecture: any
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: exrtools
-Description: viewer and docs for the OpenEXR image format
+Description: command-line tools and docs for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
  .
@@ -41,7 +41,8 @@
 Package: libopenexr-dev
 Section: libdevel
 Architecture: any
-Depends: libopenexr6 (= ${binary:Version}), libilmbase-dev, ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libopenexr21 (= ${binary:Version}), libilmbase-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -63,9 +64,11 @@
  This package contains the header files required if you wish to
  compile/develop applications that use OpenEXR libraries.
 
-Package: libopenexr6
+Package: libopenexr21
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: runtime files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
