## openexr 2.2.0

=== debian/changelog ===
openexr (2.2.0-1ubuntu3) wily; urgency=medium

  * Fix tests on big endian targets (taken from Fedora).
  * Ignore test results on 32bit archs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Aug 2015 00:23:37 +0200

openexr (2.2.0-1ubuntu2) wily; urgency=medium

  * Re-enable dh-autoreconf (don't run autoheader).
  * Disable the symbols file for now. New soname, and needs updates
    for the new libstdc++6 ABI.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 22:41:58 +0200

openexr (2.2.0-1) experimental; urgency=medium

  [ Mathieu Malaterre ]
  * New upstream. Closes: #773027, #666396
  * Remove all CVE patches, applied upstream
  * Remove bogus tests for now. Closes: #790495
  * Fix symbol file on 32/64bits arch

  [ Matteo F. Vescovi ]
  * debian/libopenexr22.symbols: debian revision stripped
  * debian/copyright: DEP-5 compliance added

 -- Mathieu Malaterre <malat@debian.org>  Fri, 10 Jul 2015 14:09:39 +0200

openexr (1.6.1-12) experimental; urgency=medium

  * Fix symbols, make it 32 vs 64 bits

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jun 2015 15:12:01 +0200

openexr (1.6.1-11) experimental; urgency=medium

  * Add missing Breaks/Replace. Closes: #782106
  * Remove old *.postinst files. Closes: #782098
  * Update symbols file, using getbuildlog

 -- Mathieu Malaterre <malat@debian.org>  Wed, 27 May 2015 10:31:18 +0200

openexr (1.6.1-10) experimental; urgency=low

  [ Matteo F. Vescovi ]
  * debian/control: add myself to Uploaders

  [ Mathieu Malaterre ]
  * Fix Vcs-* back to pkg-phototools
  * Update symbol files

 -- Mathieu Malaterre <malat@debian.org>  Sat, 09 May 2015 14:50:04 +0200

openexr (1.6.1-9) experimental; urgency=low

  * Add an openexr-doc package (arch: all)
    + move examples and documentation
  * Fix a minor typo detected by lintian
  * Remove reference to ia64 from d/rules
  * Bump Std-Vers to 3.9.6, no changes needed
  * Add symbols file, do not install *.la anymore

 -- Mathieu Malaterre <malat@debian.org>  Tue, 20 Jan 2015 16:55:07 +0100

openexr (1.6.1-8) unstable; urgency=medium

  * QA upload.
  * Orphan package, set maintainer to QA.
  * Add 20_autoreconf.diff by Andreas Barth to let autoreconf run successfully
    and use dh-autoreconf. Closes: #759719
  * Point Vcs-* to anonscm.debian.org.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 31 Aug 2014 07:56:20 +0200
