=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
-Build-Depends: autotools-dev (>= 20100122.1), debhelper (>= 9),
- dh-buildinfo, libilmbase-dev, zlib1g-dev, dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.3
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Mathieu Malaterre <malat@debian.org>, Matteo F. Vescovi <mfv@debian.org>
+Build-Conflicts: libopenexr-dev (<< 2.2.0-1)
+Build-Depends: dh-autoreconf, debhelper (>= 9),
+ dh-buildinfo, libilmbase-dev (>= 2.2.0-3), zlib1g-dev, dpkg-dev (>= 1.18.0)
+Standards-Version: 3.9.6
 Homepage: http://www.openexr.com
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/openexr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/openexr.git
 
 Package: openexr
 Architecture: any
@@ -13,7 +17,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: exrtools
-Description: command-line tools and docs for the OpenEXR image format
+Description: command-line tools for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
  .
@@ -31,18 +35,43 @@
       affecting backward compatibility with existing OpenEXR
       applications.
  .
- This package contains documentation for the format and the following tools:
+ This package contains the following tools:
     * exrheader, a utility for dumping header information.
     * exrstdattr, a utility for modifying OpenEXR standard attributes.
     * exrmaketiled, for generating tiled and rip/mipmapped images.
     * exrenvmap, for creating OpenEXR environment maps.
     * exrmakepreview, for creating preview images for OpenEXR files.
 
+Package: openexr-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, doc-base
+Breaks: openexr (<< 1.6.1-9)
+Description: documentation and examples for the OpenEXR image format
+ OpenEXR is a high dynamic-range (HDR) image file format developed by
+ Industrial Light & Magic for use in computer imaging applications.
+ .
+ OpenEXR's features include:
+    * Higher dynamic range and colour precision than existing 8- and
+      10-bit image file formats.
+    * Support for the "half" 16-bit floating-point pixel format.
+    * Multiple lossless image compression algorithms. Some of the
+      included codecs can achieve 2:1 lossless compression ratios on
+      images with film grain.
+    * Extensibility. New compression codecs and image types can easily
+      be added by extending the C++ classes included in the OpenEXR
+      software distribution. New image attributes (strings, vectors,
+      integers, etc.) can be added to OpenEXR image headers without
+      affecting backward compatibility with existing OpenEXR
+      applications.
+ .
+ This package contains documentation for the format and examples
+
 Package: libopenexr-dev
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libopenexr21 (= ${binary:Version}), libilmbase-dev, ${shlibs:Depends}, ${misc:Depends}
+Depends: libopenexr22 (= ${binary:Version}), libilmbase-dev, ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -64,7 +93,7 @@
  This package contains the header files required if you wish to
  compile/develop applications that use OpenEXR libraries.
 
-Package: libopenexr21
+Package: libopenexr22
 Section: libs
 Architecture: any
 Multi-Arch: same
