=== debian/rules ===
#!/usr/bin/make -f
# © 2009 Cyril Brulebois <kibi@debian.org>

DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
IGNORE_CHECK_RESULTS_ARCHS := armel armhf hppa i386 m68k mips mipsel powerpc powerpcspe sh4 x32 kfreebsd-i386 hurd-i386

# Need to disable the test suite on some architectures:
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(IGNORE_CHECK_RESULTS_ARCHS)))
	-dh_auto_test
  else
	dh_auto_test
  endif
endif

export AUTOHEADER = true

# No need to compress .pdf files:
override_dh_compress:
	dh_compress -X.pdf -X.cpp -X.h

%:
	dh $@ --with autoreconf
