## openexr 2.2.1

=== debian/changelog ===
openexr (2.2.1-4.1ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/CVE-2017-911x-2.patch: address pointer overflows in
      IlmImf/ImfScanLineInputFile.cpp, exrenvmap/readInputImage.cpp,
      exrmakepreview/makePreview.cpp.
    - debian/patches/CVE-2017-911x-3.patch: merge common fixes and move
      bounds check to central location in IlmImf/ImfFrameBuffer.h,
      IlmImf/ImfHeader.cpp, exrenvmap/readInputImage.cpp,
      exrmakepreview/makePreview.cpp, exrmaketiled/Image.h,
      exrmultiview/Image.h.
    - debian/patches/CVE-2017-911x-4.patch: refactor origin function to a
      Slice factory and Rgba custom utility in IlmImf/ImfFrameBuffer.cpp,
      IlmImf/ImfFrameBuffer.h, IlmImf/ImfRgbaFile.h,
      exrenvmap/readInputImage.cpp, exrmakepreview/makePreview.cpp,
      exrmaketiled/Image.h, exrmultiview/Image.h.
    - CVE-2017-9111
    - CVE-2017-9113
    - CVE-2017-9115
    - CVE-2018-18444

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 02 Oct 2019 13:01:44 -0400

openexr (2.2.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * bug909865.patch: Add -ffloat-store when compiling tests, to fix test
    failures on i386. Patch backported from experimental. (Closes: #909865)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 20 Mar 2019 22:40:43 +0100

openexr (2.2.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Mar 2018 14:10:23 +0100

openexr (2.2.1-3) experimental; urgency=medium

  * debian/control: fix Breaks/Replaces to allow
    co-installation

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 10 Mar 2018 18:34:36 +0100

openexr (2.2.1-2) experimental; urgency=medium

  * debian/: SONAME bump 22 -> 23
  * debian/control: add Breaks and Replaces for library replacement
  * debian/control: Vcs-* fields updated to use salsa
  * debian/copyright: http:// -> https:// for copyright format
  * debian/: manpages files moved to manpages/ directory

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 08 Mar 2018 10:46:17 +0100

openexr (2.2.1-1) experimental; urgency=medium

  * New upstream release
    This release addresses:
     - CVE-2017-9111
     - CVE-2017-9113
     - CVE-2017-9114
     - CVE-2017-9115
     - CVE-2017-12596
    - debian/patches/series: CVE-2017-911x.patch disabled
      (since already applied upstream)
  * debian/watch: move to https:// URL
  * debian/control: S-V bump 3.9.8 -> 4.1.3 (no changes needed)
  * debian/: autoreconf usage dropped
  * debian/: dh bump 9 -> 11
  * debian/openexr-doc.doc-base.*: fix paths

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 10 Jan 2018 15:50:11 +0100

openexr (2.2.0-11.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2017-9110, CVE-2017-9112 and CVE-2017-9116.
    Brandon Perry discovered that openexr was affected by an integer overflow
    vulnerability and missing boundary checks that would allow a remote
    attacker to cause a denial of service (application crash) via specially
    crafted image files. (Closes: #864078)

 -- Markus Koschany <apo@debian.org>  Thu, 31 Aug 2017 23:52:03 +0200

openexr (2.2.0-11) unstable; urgency=medium

  * Remove symbols files. Closes: #807079
  * Bump Std-Vers to 3.9.8. No changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 19 Jul 2016 08:53:26 +0200

openexr (2.2.0-10) unstable; urgency=medium

  * debian/patches/: patchset updated
    - bug815594.patch added (Closes: #815594)
  * debian/control: S-V bump 3.9.6 -> 3.9.7 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 27 Feb 2016 13:44:05 +0100

openexr (2.2.0-9) unstable; urgency=medium

  * Upload to unstable
  * debian/control: git:// -> https:// for Vcs-* fields

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 01 Feb 2016 12:28:18 +0100

openexr (2.2.0-8) experimental; urgency=medium

  * Make sure to use latest of ilmbase

 -- Mathieu Malaterre <malat@debian.org>  Mon, 18 Jan 2016 21:16:32 +0100

openexr (2.2.0-7) experimental; urgency=medium

  * Fix symbols on armel/powerpc/armhf

 -- Mathieu Malaterre <malat@debian.org>  Mon, 19 Oct 2015 14:47:28 +0200

openexr (2.2.0-6) experimental; urgency=medium

  * Update symbols for s390x
  * Do not run the test suite on mips/alpha/hppa

 -- Mathieu Malaterre <malat@debian.org>  Fri, 16 Oct 2015 21:35:26 +0200

openexr (2.2.0-5) experimental; urgency=medium

  * Fix tests on big endian arches

 -- Mathieu Malaterre <malat@debian.org>  Mon, 05 Oct 2015 15:32:06 +0200

openexr (2.2.0-4) experimental; urgency=medium

  * debian/*.maintscript: new path added. (Closes: #782098)
    Thanks to Andreas Beckmann (anbe) for the hint.

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 25 Sep 2015 10:30:16 +0200

openexr (2.2.0-3) experimental; urgency=medium

  * Update symbol file for arm64
  * Fix 32bits arch symbol file (gcc5 transition)
  * Update symbol file for ppc64el

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Sep 2015 14:54:22 +0200

openexr (2.2.0-2) experimental; urgency=medium

  [ Andreas Beckmann ]
  * openexr-doc: add missing Replaces: openexr (<< 1.6.1-9)
  * openexr, libopenexr-dev: Transition /usr/share/doc/$PACKAGE from symlink to
    directory.  (Closes: #782098)

  [ Mathieu Malaterre ]
  * Fix compilation on arm64. Closes: #793041
  * Fix test-suite on some 32bits archs. Closes: #791478
  * Fix test-suite on some big-endian archs. Closes: #793040
  * Update symbols file

 -- Mathieu Malaterre <malat@debian.org>  Sun, 23 Aug 2015 15:22:44 +0200
