=== debian/control ===
--- 
+++ 
@@ -1,21 +1,32 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>, Matteo F. Vescovi <mfv@debian.org>
-Build-Conflicts: libopenexr-dev (<< 2.2.0-1)
-Build-Depends: dh-autoreconf, debhelper (>= 9),
- dh-buildinfo, libilmbase-dev (>= 2.2.0-3), zlib1g-dev, dpkg-dev (>= 1.18.0)
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders:
+ Mathieu Malaterre <malat@debian.org>,
+ Matteo F. Vescovi <mfv@debian.org>
+Build-Conflicts:
+ libopenexr-dev (<< 2.2.0-1)
+Build-Depends:
+ debhelper (>= 11~),
+ dh-buildinfo,
+ dpkg-dev (>= 1.18.0),
+ libilmbase-dev (>= 2.2.0-3),
+ zlib1g-dev
+Standards-Version: 4.1.3
 Homepage: http://www.openexr.com
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/openexr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/openexr.git
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/openexr.git
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/openexr
 
 Package: openexr
 Architecture: any
 Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Suggests: exrtools
 Description: command-line tools for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
@@ -45,8 +56,11 @@
 Package: openexr-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, doc-base
+Depends:
+ doc-base,
+ ${misc:Depends}
 Breaks: openexr (<< 1.6.1-9)
+Replaces: openexr (<< 1.6.1-9)
 Description: documentation and examples for the OpenEXR image format
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -70,8 +84,12 @@
 Package: libopenexr-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libopenexr22 (= ${binary:Version}), libilmbase-dev, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ libilmbase-dev (>= 2.2.1-1),
+ libopenexr23 (= ${binary:Version}),
+ ${misc:Depends}
 Description: development files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
@@ -93,12 +111,17 @@
  This package contains the header files required if you wish to
  compile/develop applications that use OpenEXR libraries.
 
-Package: libopenexr22
+Package: libopenexr23
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libopenexr22 (= 2.2.1-1)
+Replaces: libopenexr22 (= 2.2.1-1)
 Description: runtime files for the OpenEXR image library
  OpenEXR is a high dynamic-range (HDR) image file format developed by
  Industrial Light & Magic for use in computer imaging applications.
