## openexr 2.2.1.4

=== debian/changelog ===
openexr (2.2.1.4-1) unstable; urgency=medium

  * update

 -- Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>  Wed, 28 Jul 2021 16:53:35 +0800

openexr (2.2.1.3-1) unstable; urgency=medium

  * fix CVE-2021-23169

 -- kezhihuan <kezhihuan@uniontech.com>  Fri, 02 Jul 2021 11:31:09 +0800

openexr (2.2.1.2-1+dde) unstable; urgency=medium

  * faix CVE-2020-11758

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 29 Oct 2020 11:08:55 +0800

openexr (2.2.1.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix: CVE-2020-15305 CVE-2020-15306 CVE-2020-15304

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 19 Aug 2020 16:16:54 +0800

openexr (2.2.1-4.1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild 

 -- liuyong <liuyong@deepin.com>  Fri, 03 Jul 2020 13:07:41 +0800
