## openexr 2.2.1.5

=== debian/changelog ===
openexr (2.2.1.5-deepin1) unstable; urgency=medium

  * fix CVE-2021-20298 and CVE-2021-20299.

 -- dinghao <dinghao@uniontech.com>  Thu, 24 Nov 2022 14:21:16 +0800
