=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openexr
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Mathieu Malaterre <malat@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
